def findMaxCarpetArea(h, w):
    max_area = 0
    for i in range(1, h + 1):
        for j in range(1, w + 1):
            if (i * j <= h * w) and (i <= h and j <= w):
                max_area = max(max_area, i * j)
    
    return max_area

h, w = map(int, input().split())
result = findMaxCarpetArea(h, w)
print(result)
